Subject: Re: linux-next: build failure after merge of the block tree

From: Matias Bjørling <[email-masked]>
Date: Thu, 3 Dec 2015 12:07:23 +0100

On 12/03/2015 11:21 AM, Christoph Hellwig wrote:
> On Thu, Dec 03, 2015 at 11:09:03AM +0100, Matias Bjørling wrote:
>> Similar to this?
>
> For the interface yes.  Now just get rid of using nvme_ns entirely -
> seems like you just want ns_id and lba_shift, and those should fit
> well into nvm_dev I think.
>

What is the reason to keep the nvme_ns internally to the nvme core?

We can definitely move ->nsid and the lba_shift into nvm_dev. Only thing 
I have is that it moves a small part of nvme logic into the lightnvm core.